openni::OpenNI::DeviceDisconnectedListener Class Referenceabstract

`#include <OpenNI.h>`

## Public Member Functions

| DeviceDisconnectedListener ()
virtual | ~DeviceDisconnectedListener ()
virtual void | onDeviceDisconnected (const DeviceInfo *)=0

## Friends

class | OpenNI

## Detailed Description

The OpenNI::DeviceDisconnectedListener class provides a means of registering for, and responding to
when a device is disconnected.

onDeviceDisconnected is called when a device is removed from the system. Note that once a device is removed, if it was opened by a Device object, that object can no longer be used to access the device, even if it was reconnected. Once a device was reconnected, Device::open() should be called again in order to use this device.

To use this class, you should write a new class that inherits from it, and override the onDeviceDisconnected method. Once you instantiate your class, use the OpenNI::addDeviceDisconnectedListener() function to add your listener object to OpenNI's list of listeners. Your handler function will then be called whenever the event occurs. A OpenNI::removeDeviceDisconnectedListener() function is also provided, if you want to have your class stop listening to these events for any reason.

## Constructor & Destructor Documentation

## DeviceDisconnectedListener()

openni::OpenNI::DeviceDisconnectedListener::DeviceDisconnectedListener | ( |  | ) |

inline

## ~DeviceDisconnectedListener()

virtual openni::OpenNI::DeviceDisconnectedListener::~DeviceDisconnectedListener | ( |  | ) |

inline virtual

## Member Function Documentation

## onDeviceDisconnected()

virtual void openni::OpenNI::DeviceDisconnectedListener::onDeviceDisconnected | ( | const DeviceInfo * |  | ) |

pure virtual

Callback function for the onDeviceDisconnected event. This function will be called whenever this event occurs. When this happens, a pointer to the DeviceInfo object for the newly disconnected device will be supplied. Note that once a device is removed, if it was opened by a Device object, that object can no longer be used to access the device, even if it was reconnected. Once a device was reconnected, Device::open() should be called again in order to use this device.

## Friends And Related Symbol Documentation

## OpenNI

friend class OpenNI

friend

The documentation for this class was generated from the following file:

- OpenNI.h